Skip to main content
POST
/
v1
/
sessions
curl --request POST \
  --url https://api.neyrs.cloud/v1/sessions \
  --header 'Authorization: Bearer pixie_live_abc123def456' \
  --header 'Content-Type: application/json' \
  --data '{
    "walletAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"
  }'
{
  "sessionId": "session_abc123def456",
  "walletAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "createdAt": "2024-03-08T14:30:00Z",
  "expiresAt": "2024-03-09T14:30:00Z"
}

Authorization

Authorization
string
required
Bearer token. Format: Bearer pixie_live_abc123def456

Body Parameters

walletAddress
string
required
Solana wallet address. Format: Base58 encoded public key
metadata
object
Optional session metadataProperties:
  • userAgent (string): Client user agent
  • ipAddress (string): Client IP address
  • referrer (string): Referrer URL

Response

sessionId
string
Unique session identifier. Format: session_<16 chars>
walletAddress
string
Connected wallet address
createdAt
string
ISO 8601 timestamp of session creation
expiresAt
string
ISO 8601 timestamp of session expiration (24 hours)
curl --request POST \
  --url https://api.neyrs.cloud/v1/sessions \
  --header 'Authorization: Bearer pixie_live_abc123def456' \
  --header 'Content-Type: application/json' \
  --data '{
    "walletAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"
  }'
{
  "sessionId": "session_abc123def456",
  "walletAddress": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
  "createdAt": "2024-03-08T14:30:00Z",
  "expiresAt": "2024-03-09T14:30:00Z"
}